# mailstats

Generate graphs from an IMAP mailbox.

## Nix stuff

I use this repo to play around with Nix flakes.

### Required configuration

In `~/.config/nix/nix.conf`:

```
experimental-features = nix-command flakes
```

This enables `nix *` commands and flakes.

### Run on M1

The Python OpenSSL package is currently broken on M1. To run Jupyter Lab using Rosetta emulation:

```
nix --system x86_64-darwin run .#jupyterlab
```

### Update a dependency

```
nix flake lock --update-input <input-name>
```
